/**
 * Copyright (c) 2021 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#pragma once
#include <dawn/dawn.h>

/**
 * Create a grid debug tool.
 * 
 * @return Grid Debug tool.
 */
griddebug_t * gridDebugCreate();

/**
 * Render a grid debug tool.
 * 
 * @param grid Grid debug tool to render.
 */
void gridDebugRender(griddebug_t *grid);

/**
 * Dispose a previously created grid debug tool
 * 
 * @param grid Grid tool to clean up.
 */
void gridDebugDispose(griddebug_t *grid);